FROM python:3.10

WORKDIR /code
ENV FLASK_APP=app.py
ENV FLASK_ENV=development
ENV FLASK_RUN_HOST=0.0.0.0
RUN apt-get --quiet update && apt-get --quiet --yes install netcat
RUN wget --quiet --output-document=/usr/bin/wait-for \
    https://raw.githubusercontent.com/eficode/wait-for/v2.2.0/wait-for \
    && chmod 755 /usr/bin/wait-for
RUN pip install flask Flask-PyMongo pymongo celery[redis] \
    black pytest pytest-cov pylint
EXPOSE 5000

CMD make .run